Podręcznik PHP
Poprzedni |  | Następny

# mysqli_field_count

(PHP 5 CVS only)

mysqli_field_count

(no version information, might be only in CVS)

mysql->field_cont -- Returns the number of columns for the most recent query

## Description

Procedural style:

int mysqli_field_count ( object link)

Object oriented style (method):

class mysql {
int field_count ( void )
}

Returns the number of columns for the most recent query on the connection represented by the `link` parameter. This function can be useful when using the mysqli_store_result() function to determine if the query should have produced a non-empty result set or not without knowing the nature of the query.

## Return values

An integer representing the number of fields in a result set

Poprzedni | Spis treści | Następny
mysqli_fetch | Początek rozdziału | mysqli_field_seek